COVTOBED(1)

NAME
covtobed - a tool to generate BED coverage tracks from BAM files

SYNOPSIS
covtobed [options] [BAM]...

DESCRIPTION
Reads one (or more) alignment files (sorted BAM) and prints a BED with the coverage. It will join consecutive bases with the same coverage, and can be used to only print a BED file with the regions having a specific coverage range.

OPTIONS

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--physical-coverage
    compute physical coverage (needs paired alignments in input)

-q MINQ, --min-mapq=MINQ
    skip alignments whose mapping quality is less than MINQ (default: 0)

-m MINCOV, --min-cov=MINCOV
    print BED feature only if the coverage is bigger than (or equal to) MINCOV (default: 0)

-x MAXCOV, --max-cov=MAXCOV
    print BED feature only if the coverage is lower than MAXCOV (default: 100000)

-l MINLEN, --min-len=MINLEN
    print BED feature only if its length is bigger (or equal to) than MINLELN (default: 1)

-d, --discard-invalid-alignments
    skip duplicates, failed QC, and non primary alignment, minq>0 (or user-defined if higher) (default: 0)

--output-strands
    output coverage and stats separately for each strand

--format=CHOICE
    output format

COPYRIGHT
Copyright © 2014-2019 Giovanni Birolo and Andrea Telatin https://github.com/telatin/covtobed - License MIT.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for covtobed is maintained as a Texinfo manual. If the info and covtobed programs are properly installed at your site, the command

    info covtobed

should give you access to the complete manual.